Skip to main content
Retrieve details about a specific binary images, including hash checksums and metadata.

When to Use This Endpoint

Use this endpoint to:
  • Verify an image upload was successful.
  • Retrieve SHA256/MD5 hashes for integrity verification.
  • Check the basic metadata of a firmare image.

Request

Endpoint
GET <BINARLY_API_URL>/api/v4/products/{productId}/images/{imageId}
Path Parameters
ParameterRequiredDescription
productId✅Product ID
imageId✅Image ID
Headers
HeaderValue
AuthorizationBearer <access_token>

Example Request

BINARLY_PRODUCT_ID="01JQPGDX8QW0YJ0XEKV1EVG534"
IMAGE_ID="01JYJ0W0AACGC7QT1Q21SRWG94"

curl -s \
  -H "Authorization: Bearer ${TOKEN}" \
  "${BINARLY_API_URL}/api/v4/products/${BINARLY_PRODUCT_ID}/images/${IMAGE_ID}"

Response

{
  "id": "01JYJ0W0AACGC7QT1Q21SRWG94",
  "name": "Firmware v1.2",
  "version": "1.2.0",
  "createTime": "2024-01-20T10:00:00Z",
  "author": "user@example.com",
  "parent": "products/01JQPGDX8QW0YJ0XEKV1EVG534"
}
FieldDescription
idUnique image identifier
nameHuman-readable name
versionFirmware version string
createTimeWhen the image was uploaded
authorUser or service that uploaded the image
parentParent product resource path
[!NOTE] To retrieve file checksums (SHA256, MD5), see the SBOM Report endpoint which includes hash information in the component inventory.